Name:           asterisk-agx-addons
Version:        1.4.5
Release:        1%{?dist}
Summary:        AGX's Asterisk Extra AddOns

Group:          Applications/Internet
License:        GPL
URL:            https://sourceforge.net/projects/agx-ast-addons/
Source0:        http://downloads.sourceforge.net/agx-ast-addons/agx-ast-addons-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  spandsp-devel, asterisk-devel, cmake
#Requires:       spandsp, asterisk

%description
Maintained version of old asterisk 1.2 applications now ported to 1.4.13
that for copyright reasons cannot be included into official Digium's
asterisk version.


%prep
%setup -q -n agx-ast-addons


%build
#autoreconf
#configure
cmake "." -DCMAKE_INSTALL_PREFIX=/usr
make %{?_smp_mflags}
#./build.sh


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/asterisk/modules
make install DESTDIR=$RPM_BUILD_ROOT \
  CMAKE_INSTALL_PREFIX=$RPM_BUILD_ROOT/usr
#/usr/bin/cmake -P cmake_install.cmake \
#  -DCMAKE_INSTALL_PREFIX=$RPM_BUILD_ROOT/usr


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README CHANGES TODO BUGS_KNOW_PROBLEMS
/usr/lib/asterisk/modules/*


%changelog
* Tue Nov 13 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.4.5-1
- update to upstream

* Thu Nov 1 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.4.0-1
- initial reelase
